Subject: bug#37234: closed (Re: [bug#37234] [PATCH 00/21] MLflow)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Nov 2020 00:28:02 +0000

Your bug report

#37234: [PATCH 00/21] MLflow

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37234: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37234
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#37234] [PATCH 00/21] MLflow
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Nov 2020 01:27:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skriver:

> Hello Marius!
>
> Marius Bakke <[email-masked]> skribis:
>
>> These patches add MLflow, a popular machine learning platform.
>>
>> Kristian Trandem (2):
>>   gnu: python-botocore: Update to 1.12.209.
>>   gnu: Add python-boto3.
>>
>> Marius Bakke (19):
>>   gnu: Add python-gunicorn.
>>   gnu: Add python-databricks-cli.
>>   gnu: Add python-gorilla.
>>   gnu: Add python-querystring-parser.
>>   gnu: Add python-minio.
>>   gnu: python-docker-py: Propagate runtime dependency.
>>   gnu: python-botocore: Remove unused inputs.
>>   gnu: Add python-sshpubkeys.
>>   gnu: Add python-jsonpickle.
>>   gnu: Add python-pytest-aiohttp.
>>   gnu: Add python-aws-xray-sdk.
>>   gnu: Add python-jsondiff.
>>   gnu: Add python-jose.
>>   gnu: Add python-boto.
>>   gnu: Add python-aws-sam-translator.
>>   gnu: Add python-cfn-lint.
>>   gnu: python-pyyaml: Add version 5.1.
>>   gnu: Add python-moto.
>>   gnu: Add mlflow.
>
> I had a quick look and it looks all right to me.

I've now (finally!) merged all but the last patch, and updated to the
latest versions in the process.

The final patch that adds MLflow needs more polishing, in particular
newer versions depend on 'python-azure' to work at all.

I no longer have interest in that package and merged the other patches
mostly by popular demand.  ;-)

Closing!

Subject: [PATCH 00/21] MLflow
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Fri, 30 Aug 2019 16:23:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches add MLflow, a popular machine learning platform.

Kristian Trandem (2):
  gnu: python-botocore: Update to 1.12.209.
  gnu: Add python-boto3.

Marius Bakke (19):
  gnu: Add python-gunicorn.
  gnu: Add python-databricks-cli.
  gnu: Add python-gorilla.
  gnu: Add python-querystring-parser.
  gnu: Add python-minio.
  gnu: python-docker-py: Propagate runtime dependency.
  gnu: python-botocore: Remove unused inputs.
  gnu: Add python-sshpubkeys.
  gnu: Add python-jsonpickle.
  gnu: Add python-pytest-aiohttp.
  gnu: Add python-aws-xray-sdk.
  gnu: Add python-jsondiff.
  gnu: Add python-jose.
  gnu: Add python-boto.
  gnu: Add python-aws-sam-translator.
  gnu: Add python-cfn-lint.
  gnu: python-pyyaml: Add version 5.1.
  gnu: Add python-moto.
  gnu: Add mlflow.

 gnu/packages/check.scm            |  63 +++++-
 gnu/packages/docker.scm           |   6 +-
 gnu/packages/machine-learning.scm | 122 ++++++++++-
 gnu/packages/python-web.scm       | 351 +++++++++++++++++++++++++++++-
 gnu/packages/python-xyz.scm       | 213 +++++++++++++++++-
 5 files changed, 739 insertions(+), 16 deletions(-)

-- 
2.22.1